org.apache.tomcat.util.net

## Interface JIoEndpoint.Handler

- All Superinterfaces:
    AbstractEndpoint.Handler
  All Known Implementing Classes:
    AjpProtocol.AjpConnectionHandler, Http11Protocol.Http11ConnectionHandler
  Enclosing class:
    JIoEndpoint

      public static interface JIoEndpoint.Handler
      extends AbstractEndpoint.Handler

  Bare bones interface used for socket processing. Per thread data is to be stored in the ThreadWithAttributes extra folders, or alternately in thread local fields.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

      `AbstractEndpoint.Handler.SocketState`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SSLImplementation` | `getSslImplementation()`
    `AbstractEndpoint.Handler.SocketState` | `process(SocketWrapper<Socket> socket, SocketStatus status)`

    - ### Methods inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

      `getGlobal, recycle`

- - ### Method Detail

    - #### process

          AbstractEndpoint.Handler.SocketState process(SocketWrapper<Socket> socket,
                                                     SocketStatus status)

    - #### getSslImplementation

          SSLImplementation getSslImplementation()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.